Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common.filespecification
Class PDComplexFileSpecification

    java.lang.Object
      org.pdfbox.pdmodel.common.filespecification.PDFileSpecification
          org.pdfbox.pdmodel.common.filespecification.PDComplexFileSpecification

All Implemented Interfaces:
  COSObjectable

public class PDComplexFileSpecification
extends PDFileSpecification

This represents a file specification.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDComplexFileSpecification()` Default Constructor.
`PDComplexFileSpecification(COSDictionary dict)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`String` | `getFile()` This will get the file name.
`void` | `setFile(String file)` This will set the file name.

Methods inherited from class org.pdfbox.pdmodel.common.filespecification.PDFileSpecification
`createFS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDComplexFileSpecification

    public PDComplexFileSpecification()

  Default Constructor.

### PDComplexFileSpecification

    public PDComplexFileSpecification(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - The dictionary that fulfils this file specification.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getFile

    public String getFile()

  This will get the file name.

  Specified by:
    `getFile` in class `PDFileSpecification`
  Returns:
    The file name.

### setFile

    public void setFile(String file)

  This will set the file name.

  Specified by:
    `setFile` in class `PDFileSpecification`
  Parameters:
    `file` - The name of the file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD